/**
 * @author floyd
 */

//大球类
//x:圆心x坐标,y:圆心y坐标,radius:半径,color:颜色
var Ball = function(x,y,radius,color){
	
	this.x = x;
	this.y = y;
	//当前圆半径
	this.radius = 0;
	//圆最大的半径
	this.maxRadius = radius;
	this.color = color;
	//频率
	this.fpt = 30;
	//变大速度
	this.speed = 2;
	//时间累加
	this.lastUpdata = 0;
}
Ball.prototype = {
	//更新大球的数据
	updata : function(){
		//判断时间是否到了
		if(this.lastUpdata % this.fpt == 0){
			//半径+变大速度
			this.radius += this.speed;
			//半径超出了最大半径，速度为负，就是圆开始变小
			if(this.radius >= this.maxRadius)this.speed *= -1;
			//半径小到为0，调用回调函数
			if(this.radius <= 0)this.callback();
		}
		//时间累加
		this.lastUpdata += 10;
	},
	//大球击中小球
	//arrsmall:小球列表
	bitSmallBall : function(arrsmall){
		
		var i,l,sball,changeBig=[];
		//遍历小球列表
		for(i=0,l=arrsmall.length;i<l;i++){
			
			sball = arrsmall[i];
			if(!sball)continue;
			//判断大球与小球的圆心距
			if(Math.sqrt(Math.pow(this.x-sball.x,2)+Math.pow(this.y-sball.y,2)) <= this.radius+sball.radius){
				//将小球的圆心坐标添加进数组
				changeBig.push({x:sball.x,y:sball.y});
				//执行小球的回调函数
				sball.callback();
			}
		}
		//返回小球圆心坐标数组
		return changeBig;
	},
	//回调函数，就是删除本大球
	callback : function(){}
}
