/**
 * @author floyd
 */

//小球类
//x:圆心x坐标,y:圆心y坐标,radius:半径,color:半径
var SmallBall = function(x,y,radius,color){
	
	this.x = x;
	this.y = y;
	this.radius = radius;
	this.color = color;
	//频率
	this.fpt = 40;
	//小球x方向速度
	this.speed_x = 2;
	//小球y方向速度
	this.speed_y = 2;
	//时间累加
	this.lastUpdata = 0;
}
SmallBall.prototype = {
	//更新小球数据
	//width:游戏背景宽，height:游戏背景高
	updata : function(width,height){
		//判断时间是否到了
		if(this.lastUpdata % this.fpt == 0){
			//坐标改变=当前坐标+速度
			this.x += this.speed_x;
			this.y += this.speed_y;
			//判断撞墙，方向调转
			if(this.x <= this.radius || this.x >= width-this.radius)this.speed_x *= -1;
			if(this.y <= this.radius || this.y >= height-this.radius)this.speed_y *= -1;
		}
		//时间累加
		this.lastUpdata += 10;
	},
	//回调函数，就是删除本球
	callback : function(){}
	
}
